Binutils version check doesn't like Ubuntu

Matthew Burgess matthew at linuxfromscratch.org
Mon Oct 6 13:23:21 PDT 2008


Hi all,

Now that I've got George & Thomas' attention :-)

In order to have jhalfs correctly detect the version of binutils that my host, Kubuntu, installs, I have to change the version check from:

$(ld --version | head -n1 | cut -d" " -f4)

To

$(ld --version | head -n1 | awk '{print $NF}')

For info, 'ld --version' on this system is "GNU ld (GNU Binutils for Ubuntu) 2.18.0.20080103".

Is this change suitable for jhalfs trunk?

Thanks,

Matt.




More information about the alfs-discuss mailing list